Last Comment Bug 187889 - "font-size: 0.4px" seems be ignored
: "font-size: 0.4px" seems be ignored
Status: NEW
: css1, helpwanted, pp
Product: Core Graveyard
Classification: Graveyard
Component: GFX (show other bugs)
: Trunk
: x86 Windows XP
: P3 normal with 1 vote (vote)
: Future
Assigned To: general
: Hixie (not reading bugmail)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-06 02:49 PST by Henrik Gemal
Modified: 2011-01-17 16:29 PST (History)
6 users (show)
roc: blocking1.3b-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (184 bytes, text/html)
2003-01-06 02:53 PST, Henrik Gemal
no flags Details
second testcase (more examples) (1.27 KB, text/html)
2003-01-06 10:50 PST, Ian Graham
no flags Details
HTML testcase - all sub-legible px sizes are rendered as expected in this (6.83 KB, text/html)
2003-01-06 11:12 PST, Felix Miata
no flags Details
fixed example (replaces previous one) (1.39 KB, text/html)
2003-01-06 11:14 PST, Ian Graham
no flags Details

Description Henrik Gemal 2003-01-06 02:49:00 PST
<style>
.w1 {
	font-size: 0.4px;
}
</style>
<span class="w1">W</span>

seems to render the text W large...
In IE it's very small

20030105
Comment 1 Henrik Gemal 2003-01-06 02:53:49 PST
Created attachment 110766 [details]
testcase
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2003-01-06 05:44:21 PST
-> Platform specific GFX (doesn't happen on all platforms, I don't think)
Comment 3 Felix Miata 2003-01-06 07:15:06 PST
The minimum size required to render an intelligible character is 8px.

All I see is a dot in 2003010512 OS/2 trunk.
Comment 4 Boris Zbarsky [:bz] 2003-01-06 09:08:53 PST
do you have a minimal font size set in font prefs?
Comment 5 Henrik Gemal 2003-01-06 09:12:22 PST
set to "none"
Comment 6 Ian Graham 2003-01-06 10:50:29 PST
Created attachment 110786 [details]
second testcase (more examples)

This attachment checks a bundle of px size values. It looks as if all
fractional values are ignored a size of 1.5px is treated just like 0.5, 0.3,
etc. 
Platform:  Mozilla 1.2.1 on Windows 2000.
Comment 7 Felix Miata 2003-01-06 11:12:49 PST
Created attachment 110794 [details]
HTML testcase - all sub-legible px sizes are rendered as expected in this
Comment 8 Ian Graham 2003-01-06 11:14:24 PST
Created attachment 110795 [details]
fixed example (replaces previous one)

Oops. Busted testcase. Please ignore previous comments. 

It looks as if pixel sizes less than ~0.4999999px cause the problems ....
weird.
Platform: MOzilla 1.2.1 on Windows 2000.
Comment 9 Boris Zbarsky [:bz] 2003-01-06 11:17:37 PST
worksforme on Linux (this morning's trunk nightly).  Looks like this is a
windows-specific problem (not a problem on Linux or OS/2).
Comment 10 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2003-01-25 00:26:50 PST
Not a blocker, unless you can show some top site that we've regressed on.
Comment 11 Justin Wood (:Callek) 2004-03-08 21:47:03 PST
If I recall the CSS1 (rev 1) spec correctly, decimal values can be "rounded" to
a value which the UA can display, a px refers to a pixel, which in all respects
is "sopposed" to be (of course correct me if I am wrong) the smallest
displayable point on a screen..

where if you round .4px it would be 0px, even if 1px was displayable (for a
letter) it would make sense that it would "dissapear" since I don't know anyone
who could even attempt to make it out.
Comment 12 Anne (:annevk) 2004-12-18 01:10:12 PST
However, we are ignoring the declaration completely at the moment.
Comment 13 Hixie (not reading bugmail) 2004-12-18 01:55:05 PST
I don't think we are...
Comment 14 Justin Wood (:Callek) 2004-12-18 09:02:45 PST
Dupe of Bug 53995 ?
Comment 15 Gábor Stefanik 2011-01-17 16:29:00 PST
Seems to be fixed in Firefox 4.

Note You need to log in before you can comment on or make changes to this bug.